#pragma once

#include "filter.h"

struct HasMediaFilter : public Filter {
	virtual void setup(std::ostream& o, std::istream& str);
	virtual bool filter(const Message& m) const;
protected:
	bool needMedia; // true = msg should have media; false = mmessage should not have media
};

struct FilterChat : public Filter {
	virtual void setup(std::ostream& o, std::istream& str);
	virtual bool filter(const Message& m) const;
protected:
	int64_t chatid;
};

struct ForwardedFromChatFilter : public Filter {
	virtual void setup(std::ostream& o, std::istream& str);
	virtual bool filter(const Message& m) const;
protected:
	std::string chatname;
};