#include "datefilter.h"

void DateFilter::setup(std::ostream& o, std::istream& str) {
	o << "Enter Date: (yyyy-mm-dd HH:MM)";
	std::string d;
	std::getline(str, d);
	tm parsedTime;
	::strptime(d.c_str(), "%Y-%m-%d %H:%M", &parsedTime);
	date = timegm(&parsedTime);
	o << "search messages bevore or after? (b/a)";
	char c;
	str >> c;
	bevore = isLetter(c, 'b');
	resetStream(str);
}

bool DateFilter::filter(const Message& m) const {
	return (m.date < date) == bevore;
}